
Foreman - Bug #9869

Foreman silently ignore all ldap exceptions

03/23/2015 11:15 AM - Marek Hulán

Status: Closed   

Priority: Normal   

Assignee: Marek Hulán   

Category: Authentication   

Target version: 1.8.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/2257

  

Description

Ldap fluff used to raise RuntimeException for usergroups with no members. This was fixed in 0.3.3 which we use for some time so

we should remove generic rescue as commented at https://github.com/theforeman/foreman/pull/1744#issuecomment-62200988

Related issues:

Related to Foreman - Bug #10123: Api::V2::ExternalUsergroupsControllerTest fa... Closed 04/13/2015

Associated revisions

Revision e1e7d068 - 03/24/2015 06:28 AM - Marek Hulán

Fixes #9869 - propagate LDAP errors

Revision 2b10e820 - 03/26/2015 09:03 AM - Marek Hulán

Fixes #9869 - propagate LDAP errors

(cherry picked from commit e1e7d0686b7ab3c329e2b9884b7731a3005c9276)

History

#1 - 03/23/2015 11:16 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/2257 added

- Pull request deleted ()

#2 - 03/24/2015 06:52 AM - Dominic Cleal

- translation missing: en.field_release set to 28

#3 - 03/24/2015 07:01 AM - Marek Hulán

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset e1e7d0686b7ab3c329e2b9884b7731a3005c9276.

#4 - 04/13/2015 07:16 AM - Dominic Cleal

- Related to Bug #10123: Api::V2::ExternalUsergroupsControllerTest fails with "Render and/or redirect were called multiple times" added
